function [processed,time,num]=importVideo(file,start,duration)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                  Parameters

% Cropping frame will need to be adjusted depending on tubing size and
% camera position.
% Seconds per frame will need to adjusted depending on frame rate of video
% and if recorded in realtime or in slow motion.

Cframe = [40 635 850 20]; %cropping frame [x y width height]
spf = 1/30; %seconds per frame

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%create video object:
v=VideoReader(file,'CurrentTime',start);

%calculate # of frames and generate time vector
num=round(duration*v.FrameRate);
time = 0:spf:duration;

%for each frame
for k = 1:num
    %read the frame and store original
    thisFrame=readFrame(v);
    
    %convert to grayscale
    thisFrame=rgb2gray(thisFrame);
    
    %rotate image
   thisFrame = imrotate(thisFrame,181);
    
    %crop image
      thisFrame = imcrop(thisFrame,Cframe);

    %update output 
    processed(:,:,:,k)=thisFrame;

    
end

end