function [marked,points,x]=markImage(imageIn,width)

%copy image
marked=imageIn;
%get dimensions of image (y=rows, x=columns)
[y,x]=size(imageIn);

%initialize flag to zero (corresponds to water)
flag=0;
%initialize # of flags to zero
flagCount=0;
%initialize marker points
points(1,1)=0;

%search from left to right
for(i=1:x)
        
    %when # of white pixels is large enough, there is air
    %(white is air, black is water)
    if(flag==0 & sum(imageIn(1:end,i))>width)
        flagCount=flagCount+1;
        points(1,flagCount)=i;
        flag=1;

    %when # of pixels is small, turn off flag
    elseif(sum(imageIn(1:end,i))<width)
        flag=0;
    end
        
end

%reset flag to air
flag=0;

%search from right to left
for(i=x:-1:1)
            
    %when # of white pixels is large enough, there air
    if(flag==0 & sum(imageIn(1:end,i))>width)
        flagCount=flagCount+1;
        points(1,flagCount)=i;
        flag=1;

    %when # of pixels is small, turn off flag
    elseif(sum(imageIn(1:end,i))<width)
        flag=0;
    end
        
end

%put all markers in order
points=sort(points);

end